Bug 196253 - kernel BUG at include/linux/list.h:58!
kernel BUG at include/linux/list.h:58!
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-22 03:53 EDT by zby
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-16 00:03:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a brief system description, dmesg dump and the kernel dump (32.07 KB, text/plain)
2006-06-22 03:53 EDT, zby
no flags Details

  None (edit)
Description zby 2006-06-22 03:53:33 EDT
Description of problem:
Exiting ardour makes my system hang for a minute while operatin under
kernel-2.6.16-1.2115_FC4.
The kernel dump follows after this delay and the system returns back into the
operational status.
However, the shell used to execute this application dosn't fall back into its
prompt and must be closed manualy.


Version-Release number of selected component (if applicable):
ardour-0.99.3-2
kernel-2.6.16-1.2115_FC4


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The trouble doesn't occure while opperating under kernel-2.6.16-1.2111_FC4
(previous in line).


Expected results:
Ardour exits with no hangs.


Additional info:
So far I did not have any trouble with other applications running under
kernel-2.6.16-1.2115_FC4 
Updates of my system are done regularly by yum. None of the kernels I use were
custom built. The ardour application has been built out of src rpm. I also use
hydrogen application and the trouble is the same as with ardour. Hydrogen has
been built out of src rpm too.
Comment 1 zby 2006-06-22 03:53:33 EDT
Created attachment 131335 [details]
a brief system description, dmesg dump and the kernel dump
Comment 2 zby 2006-07-04 10:27:23 EDT
The same situation occures while opperating under kernel 2.6.17
[zby@cz2cpdxc app]$ uname -a
Linux cz2cpdxc.prgpu.anfdata.cz 2.6.17-1.2139_FC4 #1 Fri Jun 23 20:56:41 EDT
2006 i686 i686 i386 GNU/Linux
[zby@cz2cpdxc app]$

A brief kernel dump follows below:

Message from syslogd@cz2cpdxc at Tue Jul  4 14:52:01 2006 ...
cz2cpdxc kernel: ------------[ cut here ]------------

Message from syslogd@cz2cpdxc at Tue Jul  4 14:52:01 2006 ...
cz2cpdxc kernel: kernel BUG at include/linux/list.h:58!


Can drop the full dump, too.
Comment 3 Dave Jones 2006-07-16 00:03:49 EDT
should be fixed in the latest updates.

Note You need to log in before you can comment on or make changes to this bug.